%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Cookies.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.08
%define module_name WWW-YourFileHost
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Get video informations from YourFileHost
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/Y/YU/YUSUKEBE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use LWP::UserAgent;.    use WWW::YourFileHost;
    use Perl6::Say;

    my $url = "http://www.yourfilehost.com/media.php?cat=video&file=hoge.wmv";
    my $ua  = LWP::UserAgent->new( agent => "WWW::YourFileHost" );
    $ua->cookie_jar( HTTP::Cookies->new );
    my $yourfilehost = WWW::YourFileHost->new( url => $url , ua => $ua );
    say $yourfilehost->photo;
    say $yourfilehost->video_id;
    say $yourfilehost->embed;



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/W*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

